# Global

##

### Members

#### NodeInterface :object

Source:
  - dictionary.d.js, line 301

##### Properties:

Name | Type | Description
--- | --- | ---
`process` | function |
`global` | function |
`require` | function |
`globalReference` | function | returns NodeJS require reference by it's name

returns interface for accessing Node Env, is defined only in node env

##### Type:

- object

### Methods

#### (protected) parseTextNodes(textNode, cb, config)

Source:
  - constructors/js-template.js, line 248

##### Parameters:

Name | Type | Description
--- | --- | ---
`textNode` | HTMLElement | Node | Text |
`cb` | JSTemplate.parseTextNodesCallback |
`config` | JSTemplate.parseTextNodesConfig |

#### (protected) textParser(bf, config) → {JSTemplate.jsTemplate_textResult}

Source:
  - constructors/js-template.js, line 101

##### Parameters:

Name | Type | Description
--- | --- | ---
`bf` | Array.<Text> |
`config` | parseTextNodesConfig |

##### Returns:

Type
  JSTemplate.jsTemplate_textResult

### Type Definitions

#### ApplicationBuilderConstructor() → {ApplicationPrototype.Builder}

Source:
  - dictionary.d.js, line 319

##### Returns:

Type
  ApplicationPrototype.Builder

#### ApplicationBuilderExports

Source:
  - dictionary.d.js, line 705

##### Properties:

Name | Type | Description
--- | --- | ---
`application` | ApplicationPrototypeConstructor |
`builder` | ApplicationBuilderConstructor |

#### ApplicationPrototypeConstructor() → {ApplicationPrototype.Instance}

Source:
  - dictionary.d.js, line 314

##### Returns:

Type
  ApplicationPrototype.Instance